package impl.tew.business;

import impl.tew.business.classes.AlumnosListado;
import impl.tew.business.classes.AlumnosOtroProcesoDeNegocio;

import java.util.List;

import com.tew.business.AlumnosService;
import com.tew.model.Alumno;

/**
 * Clase de implementaci??????n (una de las posibles) del interfaz de la fachada de
 * servicios
 *   
 * @author alb
 *
 */
public class SimpleAlumnosService implements AlumnosService {
	@Override
	public List<Alumno> getAlumnos() throws Exception {
		return new AlumnosListado().getAlumnos();
	}

	@Override
	public void proceso(List<Alumno> alumnos) throws Exception {
		new AlumnosOtroProcesoDeNegocio().procesar(alumnos);
	}
}
